import * as i0 from "@angular/core";
export declare class EuiEditorCountersComponent {
    charactersCounter: string;
    charactersLabel: string;
    wordsCounter: string;
    wordsLabel: string;
    isMaxLengthValid: boolean;
    get hasCharactersCounter(): boolean;
    set hasCharactersCounter(value: boolean);
    _hasCharactersCounter: boolean;
    get hasWordsCounter(): boolean;
    set hasWordsCounter(value: boolean);
    _hasWordsCounter: boolean;
    constructor();
    static ɵfac: i0.ɵɵFactoryDef<EuiEditorCountersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiEditorCountersComponent, "eui-editor-counters", never, { "charactersCounter": "charactersCounter"; "charactersLabel": "charactersLabel"; "wordsCounter": "wordsCounter"; "wordsLabel": "wordsLabel"; "isMaxLengthValid": "isMaxLengthValid"; "hasCharactersCounter": "hasCharactersCounter"; "hasWordsCounter": "hasWordsCounter"; }, {}, never, never>;
}
